function [dates,times,SNR,call,band,loc,freq,azim,dist]=WSPR_database(reporter, band, startDT, endDT, limit)
% Program using Octave connection to WsprDaemon wsprnet database table spots
% start using script from Gwyn Griffiths G3ZIL 17 November 2020  V1.0
% see:
% http://wsprdaemon.org/ewExternalFiles/Timescale_wsprdaemon_database_queries_and_APIs_V2.pdf
% modified by PA0SIM March 2021
% PA0SIM July 2021

%% load the installed database package
pkg load database;

%% set up connection parameters
dbname="wsprnet";
host="logs2.wsprdaemon.org";
port="5432";
user="wdread";
password="JTWSPR2008";

% connect to the database
conn = pq_connect (setdbopts ("dbname", dbname, "host", host, "port", port, "user", user, "password", password));

%band
startDT
endDT
reporter
database_comm=cstrcat("select * from spots where wd_band='",band,"' and wd_time>\'", startDT,"\' and wd_time<\'",endDT,"\' and \"Reporter\"=\'",reporter, "\' order by wd_time asc limit ",limit,";");
database_comm

%struct = pq_exec_params (conn, "select * from spots where \"Reporter\"=\'PH4RTM\' order by wd_time asc limit 100;");
%struct = pq_exec_params (conn, "select * from spots where wd_band='40' and wd_time>\'2021-02-16 06:44:10\' and wd_time<\'2021-02-16 17:38:10\' and \"Reporter\"=\'PH4RTM\' order by wd_time asc limit 5000;");
struct = pq_exec_params (conn, database_comm);

% convert the data parts of the structure into a cell array
spots=getfield(struct,'data');  % produces cell array

% close the connection
pq_close(conn);

% for loop to move the data from the cell array into individual variable vectors
call_len=15;
n_spots=rows(spots);      % number of rows in the dataset, i.e. in last hour
for i=1:n_spots
  allDT(i,:)=strftime("%Y %m %d %H %M", localtime(cell2mat(spots(i,3))));
  call_temp=cell2mat(spots(i,8));
  call_temp=cat(2,call_temp,repmat(' ',1, call_len-size(call_temp,2)));
  call(i,:)=call_temp;
  loc(i,:)=cell2mat(spots(i,9));
endfor
output_precision(6); % needed for frequency in Hz
SNR=cell2mat(spots(:,6));
freq=cell2mat(spots(:,7));
dist=cell2mat(spots(:,12));
azim=cell2mat(spots(:,20)); % wd_rx_az is needed !!!
band=cell2mat(spots(:,14));
loc=loc(:,1:4); % limit to 4, not all transmitters use 6

dates=allDT(:,[1:4 6:7 9:10]);
times=allDT(:,[12:13 15:16]);
%% convert to chars
numbers=0;
if numbers==0
    % now fields with fixed length
    SNR=num2str(SNR,10);
    freq=num2str(freq,'%.6f');
    band=num2str(band,'%02d');
    azim=num2str(azim,'%03d');
    dist=num2str(dist,'%05d');
end

if size(times,2)==3
    times=cat(2,repmat(' ',size(times,1),1),times);
end

if (size(freq,2)<10)
    freq=cat(2,repmat(' ',size(freq,1),1),freq);
end
