function [data_filteredA, data_filteredB]=filterBand(dataA, dataB, wids, band)
% filters data according band
% band is floor(freq) in MHz
% PA0SIM July 2021

len=size(dataA,1);
startBand=sum(wids(1,1:4));
indBand=startBand+(1:wids(1,5));
if ~isempty(band)
    validBI=zeros(len,1); % valid band indices
    for k=1:len
        bnd=dataA(k,indBand);
        if bnd==band
            validBI(k,:)=1;
        end
    end
    data_filteredA=dataA(logical(validBI~=0),:);
    data_filteredB=dataB(logical(validBI~=0),:);
else
    data_filteredA=dataA;
    data_filteredB=dataB;
end

end