function [data_filteredA, data_filteredB]=filterCall(dataA, dataB, wids, call, pass, call_len)
% filters data according full call
% pass==1: select only that call
% pass==0: select only other calls (stop)
% PA0SIM July 2021

if ~isempty(call)
    
    Csize=size(call,2);
    call=cat(2,call,repmat(' ',1,call_len-Csize));

    len=size(dataA,1);
    startCall=sum(wids(1,1:3));
    indCall=startCall+(1:wids(1,4));

    validCI=zeros(len,1); % valid call indices
    for k=1:len
        cl_act=dataA(k,indCall);
        compareCall=(call_len==sum(cl_act==call));
        if (~compareCall)&&(pass==0)        % stop that call
            validCI(k,:)=1;
        elseif (compareCall)&&(pass==1)     % pass that call
            validCI(k,:)=1;
        endif
    end
    data_filteredA=dataA(logical(validCI~=0),:);
    data_filteredB=dataB(logical(validCI~=0),:);
else
    data_filteredA=dataA;
    data_filteredB=dataB;
end

end
