function [data_filteredA, data_filteredB, uniqCalls, callfreq]=filterCallFreq(dataA, dataB, calls, minCall)
% filter on minimum frequency of a call in the measurement
% PA0SIM July 2021

call_len=15;

uniqCalls=unique(calls,'rows');
lenU=size(uniqCalls,1);
callfreq=zeros(lenU,1);
validCF=zeros(lenU,1);
len=size(calls,1);
validFI=zeros(len,1); % valid call freq indices

for k=1:lenU
    callfreq(k,1)=sum((sum(calls==uniqCalls(k,:),2))==call_len);
    validCF(k,1)=(callfreq(k,1)>=minCall);
    if validCF(k,1)==1
        validFI=validFI+((sum(calls==uniqCalls(k,:),2))==call_len);
    end
end

uniqCalls=uniqCalls(logical(validCF~=0),:);
callfreq=callfreq(logical(validCF~=0),:);
data_filteredA=dataA(logical(validFI~=0),:);
data_filteredB=dataB(logical(validFI~=0),:);