function [data_filteredA, data_filteredB]=filterDistDB(dataA, dataB, wids, startDist, endDist, useAzimA)
% filters data according distance
% startDist and endDist
% using database distance in dataA of dataB
% PA0SIM July 2021

if ~isempty(startDist) && ~isempty(endDist)
    startD=str2double(startDist);
    endD=str2double(endDist);

    len=size(dataA,1);
    startDist=sum(wids(1,1:9))-wids(1,9);
    indDist=startDist+(1:wids(1,9));
    
    if (useAzimA==1)
      distDB=str2double(dataA(:,indDist));
      else
      distDB=str2double(dataB(:,indDist));
    end
    
    validDI=zeros(len,1); % valid distance indices
    for k=1:len
        dist=distDB(k,:);
        if (dist>startD)&&(dist<endD)
            validDI(k,:)=1;
        end
    end
    data_filteredA=dataA(logical(validDI~=0),:);
    data_filteredB=dataB(logical(validDI~=0),:);
else
    data_filteredA=dataA;
    data_filteredB=dataB;
end

end
