function [data_filteredA, data_filteredB]=filterSNR(dataA, dataB, wids, SNRmin, SNRmax)
% filters data according minimum and maximum SNR
% both SNR should be higher than SNRmin and lower than SNRmax
% PA0SIM July 2021

len=size(dataA,1);
startSNR=sum(wids(1,1:2));
indSNR=startSNR+(1:wids(1,3));
if (~isempty(SNRmin)) && (~isempty(SNRmax))
    SNRmin=str2double(SNRmin);
    SNRmax=str2double(SNRmax);
    validSNRI=zeros(len,1); % valid SNR indices
    for k=1:len
        snra=str2double(dataA(k,indSNR));
        snrb=str2double(dataB(k,indSNR));
        if (snra>=SNRmin)&&(snrb>=SNRmin)&&(snra<=SNRmax)&&(snrb<=SNRmax)
            validSNRI(k,:)=1;
        end
    end
    data_filteredA=dataA(logical(validSNRI~=0),:);
    data_filteredB=dataB(logical(validSNRI~=0),:);
else
    data_filteredA=dataA;
    data_filteredB=dataB;
end

end