function [data_filteredA, data_filteredB]=filterTime(dataA, dataB, wids, startT, endT, startD, endD)
% filters data according time period including date
% startD, startT and endD, endT
% PA0SIM July 2021

if isempty(startD) && isempty(endD)
    startD=0;
    endD=0;
end

if ~isempty(startT) && ~isempty(endT)
    startD=str2double(startD);
    endD=str2double(endD);
    startT=str2double(startT);
    endT=str2double(endT);
    startDT=startD*10000+startT;
    endDT=endD*10000+endT;

    startTime=sum(wids(1,1:1));
    indTime=startTime+(1:wids(1,2));
    
    DateAct=str2double((dataA(:,1:wids(1,1))));
    timeAct=str2double((dataA(:,indTime)));
    DTs=DateAct*10000+timeAct;
    
    validTI=(DTs>startDT)&(DTs<=endDT);

    data_filteredA=dataA(logical(validTI~=0),:);
    data_filteredB=dataB(logical(validTI~=0),:);
else
    data_filteredA=dataA;
    data_filteredB=dataB;
end

end
