function [reporterA,reporterB,startDT,endDT,band,limit]=selection(sel)
% collection of database settings for measurement data in the WsprDaemon Timescale Database
% measurement is selected by "sel"
% PA0SIM July 2021

if (sel==1) % 80m SNR Maasbree vs. home QTH doublet
 band="80";
 reporterA="PA0SIM";
 reporterB="PH4RTM";
 startDT="2021-03-4 06:00:00";
 endDT="2021-03-4 20:00:00";
 limit="50000";
 elseif (sel==2) % too large distance for NVIS: see polar plot (no QRN)
 band="80";
 reporterA="DL/PA0EHG";
 reporterB="PH4RTM";
 startDT="2021-04-20 13:00:00";
 endDT="2021-04-20 18:00:00";
 limit="50000";
 elseif (sel==3) % 20m doublet vs. delta loop vertical 
 band="20";
 reporterA="PA0SIM/1"; % doublet
% reporterA="PA0SIM/3";
 reporterB="PA0SIM/3"; % delta loop vertical (noise level -3dB)
% reporterB="PH4RTM";
 startDT="2021-06-24 04:00:00";
 endDT="2021-06-24 20:00:00";
 limit="50000";
end